/* ------------------------------------------- */
/* javascript for its mobile services          */
/* --------------------------------------------*/
/* itsmobile, global variables */
var itsfocuscolor = "#FFF09E";
var itsfocuscolor_saved = "";

/* --- SET FOCUS BACKGROUND COLOR -------------*/
function changeBgColor(myfield, on_off)
{
   if ( myfield == null || myfield.style == null )
      return;
   if ( on_off )
   {
      /* background color on */
      itsfocuscolor_saved = myfield.style.backgroundColor;
      myfield.style.backgroundColor = itsfocuscolor;
   }
   else
   {
      /* background color off */
      myfield.style.backgroundColor = itsfocuscolor_saved;
   }
}

/* --- SET FOCUS ------------------------------*/
function setFocus(field)
{
   if ( field )
   {
      /* field names are in lower case */
      field = field.toLowerCase();
      var myfield = document.forms["mobileform"][field];
      if ( myfield )
      {
         if ( ( typeof(myfield.length) == "number" ) &&
              ( typeof(myfield.type) == "undefined" ) )
         {
            /* set focus for checkbox */
            myfield = document.forms["mobileform"][field][1];
            if ( !myfield ) return;
         }

         if ( !myfield.disabled )
         {
            /* set the focus */
            myfield.focus();
            myfield.select();
         }
      }
   }
}

/* --- SET FOCUS FIELD -------------------------*/
function setFocusField(field)
{
   var myfield = document.forms["mobileform"][field];
   if ( myfield && !myfield.disabled )
   {
      /* change background color on focus */
      changeBgColor(myfield, true);
   }
}

/* --- LEAVE FOCUS FIELD ----------------------*/
function leaveFocusField(field)
{
   var myfield = document.forms["mobileform"][field];
   if ( myfield && !myfield.disabled )
   {
     /* change background color back to default */
      changeBgColor(myfield, false);
   }
}
